/* DEFINIMOS LA TIPOGRAFIA ROBOTO */

body {
    font-size: 14px !important;
}

body, table, h1, h2, h3, h4, h5, h6 , p {
    font-family: Roboto, arial, sans-serif !important;
    font-weight: 300;
}

/* DEFINIMOS TAMAÑO FUENTE PARA LABELS Y INPUTS */

body div label,
body div .form-control {
    font-size: 0.95em;
}

/* DEFINIMOS TAMAÑO FUENTE PARA BREADCUMBS */

body ol {
    font-size: 0.95em;
}

/* DEFINIMOS TAMAÑO FUENTE PARA NAVBAR */

.navbar ul li {
    font-size: 0.95em;
}

/* DEFINIMOS TAMAÑO FUENTE PARA ALERTS */

.alert-size {
    font-size: 0.95em; !important;
}

/* DEFINIMOS TAMAÑO FUENTE PARA PAGINACIÓN */

.pagination {
    font-size: 0.95em;
}

/* DEFINIMOS VERTICAL ALIGN PARA CONTENIDO TABLAS */

.table>tbody>tr>td,
.table>tbody>tr>th,
.table>tfoot>tr>td,
.table>tfoot>tr>th,
.table>thead>tr>td,
.table>thead>tr>th {
    vertical-align: middle !important
}

/* DEFINIMOS CORRECCIÓN PARA VERTICAL ALING CUADRO PROGRESO */

.bottom-vertical-correct {
    margin-bottom: -5px !important;
}

/* DEFINIMOS UN DIV PARA AGRUPAR CONTENIDO */

.agrupar {
    border-radius: 10px;
    border: solid 1px #eeeeee;
    padding: 25px
}

.agrupar-codigo {
    border-radius: 10px 10px 0 0;
    border: solid 1px #eeeeee;
    border-bottom: none;
    padding: 25px
}

/* DEFINIMOS ESTILO DE LOS BOTONES */

.estilo-btn {
    font-family: Roboto, arial, sans-serif !important;
    padding: 6px 20px;
    font-weight: 300;
    letter-spacing: 1px;
    transition: all 0.5s ease 0s;
    font-size: 0.92em;
}

.estilo-btn-tabla {
    font-family: Roboto, arial, sans-serif !important;
    padding: 2px 10px;
    font-weight: 300;
    letter-spacing: 1px;
    transition: all 0.5s ease 0s;
    font-size: 0.85em;
}

/* DEFINIMOS COLOR Y ESTADOS DEL BOTÓN ACEPTAR */

.color-btn-confirmar{
    color: white;
    background-color: #2a77a2;
}
.color-btn-confirmar:hover{
    color: white;
    background-color: #1b5474;
}
.color-btn-confirmar:active{
    color: white;
    background-color: #2a77a2;
}
.color-btn-confirmar:visited{
    color: white;
    background-color: #2a77a2;
}
.color-btn-confirmar:focus{
    color: white;
    background-color: #2a77a2;
}

/* DEFINIMOS COLOR Y ESTADOS BOTÓN CANCELAR */

.color-btn-cancelar{
    color: white;
    background-color: #c0c0c0;
}
.color-btn-cancelar:hover{
    color: white;
    background-color: #7e7e7e;
}
.color-btn-cancelar:active{
    color: white;
    background-color: #c0c0c0;
}
.color-btn-cancelar:visited{
    color: white;
    background-color: #c0c0c0;
}
.color-btn-cancelar:focus{
    color: white;
    background-color: #c0c0c0;
}

/* DEFINIMOS COLOR Y ESTADOS BOTÓN IMPORTAR */

.color-btn-importar{
    color: white;
    background-color: #4a4a4a;
}
.color-btn-importar:hover{
    color: white;
    background-color: #777777;
}
.color-btn-importar:active{
    color: white;
    background-color: #4a4a4a;
}
.color-btn-importar:visited{
    color: white;
    background-color: #4a4a4a;
}
.color-btn-importar:focus{
    color: white;
    background-color: #4a4a4a;
}

/* DEFINIMOS COLOR Y ESTADOS BOTÓN DATOS */

.color-btn-exportar{
    color: white;
    background-color: #c9282d;
}
.color-btn-exportar:hover{
    color: white;
    background-color: #8e1c1f;
}
.color-btn-exportar:active{
    color: white;
    background-color: #c9282d;
}
.color-btn-exportar:visited{
    color: white;
    background-color: #c9282d;
}
.color-btn-exportar:focus{
    color: white;
    background-color: #c9282d;
}

/* DEFINIMOS COLOR Y ESTADOS BOTÓN VALIDAR */

.color-btn-validar {
    color: white;
    background-color: #f0ad4e;
}

.color-btn-validar:hover {
    color: white;
    background-color: #ab7a34;
}

.color-btn-validar:active {
    color: white;
    background-color: #f0ad4e;
}

.color-btn-validar:visited {
    color: white;
    background-color: #f0ad4e;
}

.color-btn-validar:focus {
    color: white;
    background-color: #f0ad4e;
}

/* DEFINIMOS COLOR Y ESTADOS BOTÓN SUCCESS */

.color-btn-success {
    color: white;
    background-color: #6ca754;
}

.color-btn-success:hover {
    color: white;
    background-color: #427a2c;
}

.color-btn-success:active {
    color: white;
    background-color: #6ca754;
}

.color-btn-success:visited {
    color: white;
    background-color: #6ca754;
}

.color-btn-success:focus {
    color: white;
    background-color: #6ca754;
}

/* DEFINIMOS BOTON EDITAR PARA TABLA */

.color-btn-tabla-editar{
    color: white;
    background-color: #2a77a2;
}
.color-btn-tabla-editar:hover{
    color: white;
    background-color: #1b5474;
}
.color-btn-tabla-editar:active{
    color: white;
    background-color: #2a77a2;
}
.color-btn-tabla-editar:visited{
    color: white;
    background-color: #2a77a2;
}
.color-btn-tabla-editar:focus{
    color: white;
    background-color: #2a77a2;
}

/* DEFINIMOS BOTON ELIMINAR PARA TABLA */

.color-btn-tabla-eliminar {
    color: white;
    background-color: #c9282d;
}

.color-btn-tabla-eliminar:active {
    color: white;
    background-color: #c9282d;
}

.color-btn-tabla-eliminar:visited {
    color: white;
    background-color: #c9282d;
}

.color-btn-tabla-eliminar:focus {
    color: white;
    background-color: #c9282d;
}

.color-btn-tabla-eliminar:hover {
    color: white;
    background-color: #8e1c1f;
}

/* DEFINIMOS CLASSES PARA MARGENES ARRIBA */

.fuera-margen-top {
    margin-top: 0 !important;
}

.margen-top-pequeño {
    margin-top: 8px;
}

.margen-top-mediano {
    margin-top: 20px;
}

.margen-top-grande {
    margin-top: 35px;
}

/* DEFINIMOS CLASSES PARA MARGENES ABAJO */

.fuera-margen-bottom {
    margin-bottom: 0 !important;
}

.margen-bottom-pequeño {
    margin-bottom: 8px;
}

.margen-bottom-mediano {
    margin-bottom: 20px;
}

.margen-bottom-grande {
    margin-bottom: 35px;
}

/* DEFINIMOS CLASSES PARA MARGENES IZQUIERDA */

.fuera-margen-left {
    margin-left: 0 !important;
}

.margen-left-pequeño {
    margin-left: 8px;
}

.margen-left-mediano {
    margin-left: 20px;
}

.margen-left-grande {
    margin-left: 35px;
}

/* DEFINIMOS CLASSES PARA MARGENES DERECHA */

.fuera-margen-right {
    margin-right: 0 !important;
}

.margen-right-pequeño {
    margin-right: 8px;
}

.margen-right-mediano {
    margin-right: 20px;
}

.margen-right-grande {
    margin-right: 35px;
}

/* QUITAMOS EL MARGEN FULL*/

.fuera-margen {
    margin: 0 !important;
}

/* DEFINIMOS CLASSES PARA PADDING A LA IZQUIERDA */

.fuera-padding-left {
    padding-left: 0 !important;
}

.padding-left-pequeño {
    padding-left: 8px;
}

.padding-left-mediano {
    padding-left: 20px;
}

.padding-left-grande {
    padding-left: 35px;
}

/* DEFINIMOS CLASSES PARA PADDING A LA DERECHA */

.fuera-padding-right {
    padding-right: 0 !important;
}

.padding-right-pequeño {
    padding-right: 8px;
}

.padding-right-mediano {
    padding-right: 20px;
}

.padding-right-grande {
    padding-right: 35px;
}

/* DEFINIMOS CLASSES PARA PADDING ARRIBA */

.fuera-padding-top {
    padding-top: 0 !important;
}

.padding-top-pequeño {
    padding-top: 8px;
}

.padding-top-mediano {
    padding-top: 20px;
}

.padding-top-grande {
    padding-top: 35px;
}

/* DEFINIMOS CLASSES PARA PADDING ABAJO */

.fuera-padding-bottom {
    padding-bottom: 0 !important;
}

.padding-bottom-pequeño {
    padding-bottom: 8px;
}

.padding-bottom-mediano {
    padding-bottom: 20px;
}

.padding-bottom-grande {
    padding-bottom: 35px;
}

/* QUITAMOS EL PADDING FULL*/

.fuera-padding {
    padding: 0 !important;
}

/* DEFINIMOS PADDING A LA IZQUIERDA PARA LAS TABLAS COLLAPSE */

.left-padding-collapse {
    padding-left: 30px !important;
}

/* DEFINIMOS TAMAÑO DE TEXTO PARA TABLA */

.table {
    font-size: 0.90em;
}

/* QUITAMOS EL BORDE SUPERIOR DE LA TABLA */

.quitar-borde-superior {
    border-top: none !important;
}

/* DEFINIMOS % DE TAMAÑO PARA CELDAS DE UNA TABLA*/

.tamaño-porcentaje-5 {
    width: 5%;
    height: 40px;
}

.tamaño-porcentaje-10 {
    width: 10%;
    height: 40px;
}

.tamaño-porcentaje-15 {
    width: 15%;
    height: 40px;
}

.tamaño-porcentaje-20 {
    width: 20%;
    height: 40px;
}

.tamaño-porcentaje-25 {
    width: 25%;
    height: 40px;
}

.tamaño-porcentaje-30 {
    width: 30%;
    height: 40px;
}

.tamaño-porcentaje-35 {
    width: 35%;
    height: 40px;
}

.tamaño-porcentaje-40 {
    width: 40%;
    height: 40px;
}

.tamaño-porcentaje-50 {
    width: 50%;
    height: 40px;
}

.tamaño-porcentaje-75 {
    width: 75%;
    height: 40px;
}

.tamaño-porcentaje-85 {
    width: 85%;
    height: 40px;
}

.tamaño-porcentaje-100 {
    width: 100%;
    height: 40px;
}

/* DEFINIMOS PX DE TAMAÑO PARA CELDAS DE UNA TABLA*/

.tamaño-fijo-50p {
    width: 50px;
    height: 40px;
}

.tamaño-fijo-75p {
    width: 75px;
    height: 40px;
}

.tamaño-fijo-85p {
    width: 85px;
    height: 40px;
}

.tamaño-fijo-100p {
    width: 100px;
    height: 40px;
}

/* ACORTARMOS EL TEXTO DE UNA CELDA */

.texto-corto-100 {
    overflow:hidden;
    white-space:nowrap;
    text-overflow: ellipsis;
    max-width: 100px
}

.texto-corto-120 {
    overflow:hidden;
    white-space:nowrap;
    text-overflow: ellipsis;
    max-width: 125px
}

.texto-corto-200 {
    overflow:hidden;
    white-space:nowrap;
    text-overflow: ellipsis;
    max-width: 200px
}

.texto-corto-350 {
    overflow:hidden;
    white-space:nowrap;
    text-overflow: ellipsis;
    max-width: 350px
}
/* TABLAS RESPONSIVE */

@media screen and (max-width: 767px) {

    .tabla-responsive table, .tabla-responsive thead, .tabla-responsive tr, .tabla-responsive th, .tabla-responsive tbody, .tabla-responsive td {
        display: block;
    }

    .tabla-responsive thead .tabla-responsive tr {
        position: absolute;
        top: -9999px;
        left: -9999px;
    }

    .tabla-responsive tr{
        margin-top: 10px;
        padding-bottom: 10px;
        border-bottom: 1px solid #ccc;
    }
    .tabla-responsive td {
        position: relative;
        height: auto;
        margin-top: -15px;
        text-align: left;
        border: none !important;
    }

    .tabla-responsive td:before {
        position: absolute;
        margin-top: 5px;
        top: -5px;
        left: 6px;
        width: 45%;
        white-space: nowrap;
    }
}

/* ARREGLO ESPACIADO RESPONSIVE FILAS TABLA */

@media screen and (max-width: 768px) {
    .td-responsive {
        margin-top: 0 !important;
        width: auto !important;
    }
}

/* DEFINIMOS ESTILO SUAVE PARA ICONOS */

.icono-suave {
    color: lightgray;
}

/* DEFINIMOS TAMAÑOS PARA GLYPHICONS  */

.icono-pequeño {
    font-size: 1.2em;
}

.icono-mediano {
    font-size: 5em;
}

.icono-grande {
    font-size: 10em;
}

/* DEFINIMOS LÍNEA FINA PARA TÍTULOS */

.linea {
    border-bottom: solid 2px #2a77a2;
    margin-bottom: 20px;
    padding-bottom: 5px;
}

/* DEFINIMOS LÍNEA FINA PARA TÍTULOS */

.separador {
    padding-top: 5px;
    border-bottom: solid 1px #eeeeee;
    margin-bottom: 15px
}

/* DEFINIMOS LAS LABELS PARA LA TABLA */

.ajuste-labels {
    font-size: 0.85em;
    font-weight: 200;
    padding: 5px 10px;
    letter-spacing: 1px;
    background-color: green;
    border-radius: 8px
}

/* MODIFICAMOS EL CARET PARA AGRUPAR FILAS DENTRO DE LA TABLA */

.estilo-caret-tabla {
    color: #bababa;
    font-size: 0.85em !important;
    margin-right: 12px;
}

/* MODIFICAMOS EL ASPECTO DE LOS BREADCUMBS */

.estilo-breadcrumb {
    background-color: white;
    border-bottom: solid 1px #eeeeee;
    padding-left:0;
}

/* DEFINIMOS EL FOOTER FIXED */

html {
    position: relative;
    min-height: 100%;
}

body {
    margin-bottom: 60px;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 60px;
    border: 1px solid #f6e0ed;
    background-color: #ffffff;
    font-size: 0.85em;
}

.header {
    position: fixed;
    height: 60px;
    top: 0;
    width: 100%;
    z-index: 1000;
}

.container .text-muted {
    margin: 20px 0;
}

.footer .container {
    padding-right: 15px;
    padding-left: 15px;
}

code {
    font-size: 80%;
}

/* MODIFICAMOS LA POSICIÓN DE ENLACES EN LA NAVBAR */

nav.navbar ul.nav li {
    margin-top: 10px;
}

/* MODIFICAMOS EL INTERIOR DEL DROPDOWN LOGIN DE LA NAVBAR */

.navbar-login {
    width: 230px;
    padding-right: 12px;
}

/* DEFINIMOS CÍRCULO PARA PERFIL NAVBAR */

.circle-user-navbar {
    width: 35px;
    height: 35px;
    text-align: center;
    color: white;
    font-size: 0.85em;
    line-height: 35px;
    background-color: #e0e0e0;
    -moz-border-radius: 50%;
    -webkit-border-radius: 50%;
    border-radius: 50%;
    margin-top: -8px;
    display: inline-block;
    overflow: hidden;
    float: left;
}

.circle-user-navbar img {
    width: 110%;
}

/* MODIFICAMOS EL FONDO Y EL BORDE DE LA NAVBAR */

nav.navbar-databis { background: #fff; border-color: #f0f0f0; }

/* MODIFICAMOS LOS ESTADOS GENERALES DE LOS ENLACES DE LA NAVBAR */

nav.navbar-databis ul.navbar-nav a:hover,
nav.navbar-databis ul.navbar-nav a:visited,
nav.navbar-databis ul.navbar-nav a:focus,
nav.navbar-databis ul.navbar-nav a:active {
    background: #fff;
}

nav.navbar-databis ul.navbar-nav a:hover {
    color: black;
}

nav.navbar-databis ul.navbar-nav > li > a {
    color: grey;
    padding-left: 10px;
    padding-right: 10px;
    margin-left: 10px;
    margin-right: 10px;
    background: transparent;
}

/* DEFINIMOS EL ESTILO PARA EL MENÚ ACTIVO */

nav.navbar-databis ul.navbar-nav .active-menu a {
    color: #2a77a2;
    border-style: solid;
    border-width: 0 0 3px 0;
    border-color: #2a77a2;
    padding-bottom: 24px;
    font-weight: bolder;
}

/* DEFINIMOS EL ESTILO PARA EL MENU ACTIVO CON DROPDOWN */

a.active-menu-drop {
    color: #2a77a2 !important;
    border-style: solid;
    border-width: 0 0 3px 0;
    border-color: #2a77a2;
    padding-bottom: 24px !important;
    font-weight: bolder;
}

.nav .open>a, .nav .open>a:focus, .nav .open>a:hover {
    border-color: #2a77a2 !important;
}

/* DEFINIMOS EL ESTILO PARA EL MENU NORMAL CON DROPDOWN */

a.normal-menu-drop {
    padding-bottom: 26px !important;
}

/* MODIFICAMOS LOS ESTILOS DE LA CAJA DEL DROPDOWN */

nav.navbar-databis ul.estilo-dropdown {
    border: 0;
    background: #fff;
    border-radius: 4px;
    margin: -5px 0;
    box-shadow: 0 0 4px 0 #ccc;
    padding-top: 5px;
    padding-bottom: 12px;
}

nav.navbar-databis ul.estilo-dropdown-perfil {
    border: 0;
    background: #fff;
    border-radius: 4px;
    margin: 3px 20px;
    box-shadow: 0 0 4px 0 #ccc;
}

/* MODIFICAMOS LOS ESTILOS DE LA CAJA DEL DROPDOWN MULTINIVEL */

nav.navbar-databis ul.estilo-dropdown-multi {
    margin: 3px 0 !important;
}

/* DEFINIMOS FLECHA SOBRE LA CAJA DEL DROPDOWN */

.añadir-flecha:before {
    top: -6px;
    bottom: auto;
    left: 45px;
    -webkit-transform: rotate(-45deg);
    transform: rotate(-45deg);
    content: '';
    position: absolute;
    display: block;
    background: #fff;
    width: 10px;
    height: 10px;
    border-top: 1px solid #dddddd;
    border-right: 1px solid #dddddd;
}

/* MODIFICAMOS LOS ESTILOS DE LOS ENLACES DEL DROPDOWN */

nav.navbar-databis ul.estilo-dropdown > li > a {
    color: #444;
}

nav.navbar-databis ul.estilo-dropdown > li > a:hover {
    background: #2a77a2;
    color: #fff;
}

/* MODIFICAMOS LOS ESTILOS DE LOS ENLACES DEL DROPDOWN DEL PERFIL*/

nav.navbar-databis ul.navbar-nav .estilo-dropdown-perfil .dropdown-menu>li>a {
    padding: 0;
}

nav.navbar-databis ul.navbar-nav .estilo-dropdown-perfil a {
    color: #2a77a2;
}

nav.navbar-databis ul.navbar-nav .estilo-dropdown-perfil a:hover {
    color: #1b5474;
    background-color: transparent;
}

nav.navbar-databis ul.navbar-nav .estilo-dropdown-perfil a.cerrar-sesion {
    color: #c9282d;
}

nav.navbar-databis ul.navbar-nav .estilo-dropdown-perfil a.cerrar-sesion:hover {
    color: #c9282d;
    background-color: transparent;
}

/* MODIFICAMOS EL CARET DE LA FOTO DE PERFIL DE LA NAVBAR */

.estilo-caret {
    margin-left: 12px;
    color: #d1d1d1;
}

/* DEFINIMOS EL DROPDOWN MULTINIVEL DE LA NAVBAR */

.dropdown-submenu {
    position:relative;
}
.dropdown-submenu>.dropdown-menu {
    top: -18px;
    left:100%;
    margin-top:-6px;
    margin-left:-1px;
    -webkit-border-radius:0 6px 6px 6px;
    -moz-border-radius:0 6px 6px 6px;
    border-radius:0 6px 6px 6px;
}
.dropdown-submenu:hover>.dropdown-menu {
    display:block;
}
.dropdown-submenu>a:after {
    display:block;
    content:" ";
    float:right;
    width:0;
    height:0;
    border-color:transparent;
    border-style:solid;
    border-width:5px 0 5px 5px;
    border-left-color:#cccccc;
    margin-top:5px;
    margin-right:-10px;
}
.dropdown-submenu:hover>a:after {
    border-left-color:#ffffff;
}
.dropdown-submenu.pull-left {
    float:none;
}
.dropdown-submenu.pull-left > .dropdown-menu {
    left: -100%;
    margin-left: 10px;
}

/* AJUSTAMOS EL LOGO EN LA NAVBAR */

.logo-responsive {
    margin-top: 10px;
    padding: 10px 0;
}

@media screen and (max-width: 768px) {

    .logo-responsive {
        margin: 10px 20px;
    }

}

/* AJUSTAMOS EL BOTON DE COLLAPSE EN LA NAVBAR */

.navbar-toggle{
    padding-top: 20px;
}

.collapsed {
    padding-top: 20px;
}

.icon-bar {
    border: solid 1px #2a77a2;
}

/* AJUSTAMOS LOS MENUS DE LA NAVBAR EN RESPONSIVE */

@media screen and (max-width: 768px) {

    .menu-nav-responsive {
        margin-left: -12px !important;
        margin-bottom: -10px !important;
        border-bottom: none !important;
    }

    .menu-perfil-nav-responsive {
        margin-top: 20px !important;
        margin-bottom: 15px !important;
        margin-left: -5px !important;
    }

    nav.navbar-databis ul.estilo-dropdown-perfil {
        margin: 3px 0;
    }

    a.active-menu-drop {
        padding-bottom: 10px !important;
    }

    .añadir-flecha:before {
        border: none;
    }

    .margin-left-responsive{
        margin-left: -20px !important;
    }

    .left-responsive {
        text-align: left !important;
    }

    .margin-responsive-perfil {
        margin-left: 25px !important;
    }

    .dropdown-submenu>a:after {
        margin-right: 5px;
    }

}

/* MODIFICAMOS EL ASPECTO DE LOS MODALS */

.modal-header-cliente,
.modal-header-success,
.modal-header-warning,
.modal-header-archivar,
.modal-header-danger {
    min-height: 16.42857143px;
    padding: 15px;
    border-bottom: 1px solid #e5e5e5;
    /*  border-radius: 5px 5px 0 0; */
    color: #ffffff;
    border-radius: 0;
}

.modal-header-cliente {
    background-color: #2a77a2;
}

.modal-header-success {
    background-color: #6ca754;
}

.modal-header-warning {
    background-color: #f0ad4e;
}

.modal-header-danger {
    background-color: #C62831;
}

.modal-header-archivar {
    background-color: #333333;
}

.close-white-cliente,
.close-white-success,
.close-white-warning,
.close-white-archivar,
.close-white-danger {
    float: right;
    font-size: 1.5em;
    font-weight: bold;
    line-height: 1;
    color: #fff;
    cursor: pointer;
}

.close-white-cliente {
    background-color: #2a77a2;
}

.close-white-success {
    background-color: #6ca754;
}

.close-white-warning {
    background-color: #f0ad4e;
}

.close-white-danger {
    background-color: #C62831;
}

.close-white-archivar {
    background-color: #333333;
}

.modal-content {
    border-radius: 0;
}

/* DEFINIMOS BOTÓN AÑADIR EN LAS LISTAS */

.boton-mas{
    text-align: center;
    width: 40px;
    height: 40px;
    border-radius: 100px;
    background-color: #2a77a2;
    font-size: 0.80em;
    box-shadow: 0 2px 10px #ccc;
    position: fixed;
    bottom: 85px;
    right: 40px;
    z-index: 1000;
    color: white;
    padding-top: 13px;
    display: block;
}

.boton-mas:hover{
    color: white;
    background-color: #1b5474;
}
.boton-mas:active{
    color: white;
}
.boton-mas:visited{
    color: white;
}

/* DEFINIMOS EL INPUT DEL CAMPO BÚSQUEDA */

.search-databis {
    width: 80px !important;
    height: 20px !important;
    outline: none;
    background: #fff url('../img/search-icon-white.png') no-repeat 12px center;
    background-size: 15px;
    cursor: pointer;
    border: 1px solid #e6e6e6;
    border-radius: 12em;
    transition: all .5s;
    -webkit-box-sizing: content-box;
    -webkit-border-radius: 10em;
    -webkit-transition: all .5s;
    -moz-transition: all .5s;
    -moz-border-radius: 10em;
    padding-left: 40px;
}

.search-databis:focus {
    width: 200px !important;
    height: 20px !important;
    background-color: #fff;
    padding-left: 40px;
    color: #000;
    cursor: auto;
    border-color: #cccccc;
    box-shadow: 0 2px 2px rgba(49, 119, 162, 0.075)inset, 0 0 10px rgba(49, 119, 162, 1);
}


.search-databis-content {
    width: 200px !important;
}

/* DEFINIMOS CRUZ DEL INPUT DEL CAMPO BÚSQUEDA */

.estilo-cruz {
    vertical-align: middle;
    color: #c9282d;
}

/* DEFINIMOS DIV DE LOS TAGS */

.estilo-tags {
    border: 1px solid #e6e6e6;
    border-radius: 10px;
    padding: 5px 10px;
    background-color: #f1f0f0;
    margin-top: 10px;
    cursor: pointer;
}

/* DEFINIMOS BOTÓN DE ELIMINAR TAGS */

.estilo-close {
    color: #c9282d;
    margin-right: 8px;
    vertical-align: text-top;
}

.estilo-close:hover {
    color: darkgrey;
}

/* AUMENTAMOS TAMAÑO DE FUENTE */

.texto-mas-grande {
    font-size: 0.9em;
}

/* DEFINIMOS COLORES PARA LA PAGINACIÓN */

.pagination>.active>a,
.pagination>.active>a:focus,
.pagination>.active>a:hover,
.pagination>.active>span,
.pagination>.active>span:focus,
.pagination>.active>span:hover {

    background-color: #2a77a2;
    border-color: #2a77a2;

}

.pagination>li>a,
.pagination>li>span {
    color: #6c6c6c;
}

/* DEFINIMOS CLASE PARA OCULTAR ELEMENTOS */

.ocultar {
    display: none;
    padding-top: 3px;
    padding-bottom: 4px;
}

/* DEFINIMOS CLASE PARA VALIDAR FORMULARIOS */

.text-validar-danger {
    color: #c9282d;
    margin-top: 8px;
    font-size: 0.90em;
}

/* DEFINIMOS CLASE PARA TEXTO SMALL */

.text-small {
    color: grey;
    margin-top: 10px;
    font-size: 0.90em;
}

/* MODIFICAMOS LOS CHECKBOX EN FORMS */

input[type="checkbox"] {
    appearance: none;
    -moz-appearance: none;
    -webkit-appearance: none;
    width: 10px;
    height: 10px;
    cursor: pointer;
    outline: none !important;
    margin-left: 4px;
    margin-bottom: 1px;
}

input[type="checkbox"]:checked {
    background: #2a77a2;
}

.check-out {
    border: 1px solid #ddd;
    width: 20px;
    height: 20px;
    float: left;
    margin-right: 10px;
}

/* MODIFICAMOS LOS RADIO EN FORMS */

input[type="radio"] {
    appearance: none;
    -moz-appearance: none;
    -webkit-appearance: none;
    width: 10px;
    height: 10px;
    cursor: pointer;
    outline: none !important;
    margin-left: 4px;
    margin-bottom: 1px;
    border-radius: 50%;
}

input[type="radio"]:checked {
    background: #2a77a2;
}

.radio-out {
    border: 1px solid #ddd;
    width: 20px;
    height: 20px;
    float: left;
    margin-right: 10px;
    border-radius: 50%;
}

.radio-buttons label{
    cursor: pointer;
}

/* ARREGLAMOS EL RESPONSIVE DEL FORM INLINE */

@media screen and (max-width: 1200px) {

    .responsive-input {
        width: 100% !important;
    }

    .responive-margin {
        margin-bottom: 15px !important;
    }

    .width-100 {
        width: 100% !important;
    }
}

/* DEFINIMOS ESTILOS PARA AÑADIR LA SIDEBAR */
/*
#sidebar {
    position: absolute;
    margin-left: -15px;
    border-right: 1px solid #f0f0f0;
    background-color: #fff;
    /* z-index: 1000; */
    /*width: 220px;
    height: 86%;
    overflow-x: hidden;
    overflow-y: auto;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
}

#sidebar ul {
    margin-top: 25px;
    padding-left: 15px;
    list-style: none;
    width: 220px;
}

#sidebar ul li {
    margin: 0;
}

#sidebar ul li a {
    padding: 8px 20px;
    font-size: 13px;
    color: grey;
    text-decoration: none;
    display: block;
    border-left: 4px solid transparent;
}

#sidebar ul li:hover a {
    color: black !important;
    border-left: 4px solid #2a77a2;
}

/* DEFINIMOS ESTILO PARA LA OPCIÓN ACTIVA DE LA SIDEBAR */

/*.sidebar-active {
    color: #2a77a2 !important;
    font-weight: 400;
    border-left: 4px solid #2a77a2 !important;
}

.sidebar-normal {
    color: grey !important;
}
*/
/* DEFINIMOS ESTILO PARA MOVER CONTAINER A LA DERECHA SI HAY SIDEBAR */

.padding-menu {
    padding-left: 270px;
    padding-right: 0;
    margin-left: 0
}

/* MODIFICAMOS PESTAÑAS BOOTSTRAP */

.nav-tabs > li > a {
    line-height: 1.42857143;
    border: none;
    border-radius: 0;
    padding-left: 0;
    padding-right: 0;
    margin-right: 25px;
}

.nav.nav-tabs > li:hover a {
    color: black;
    background-color: white !important;
}

.nav.nav-tabs > li a {
    color: grey;
    font-size: 12px;
    background-color: white !important;
}

.nav.nav-tabs > li.active a {
    color: black;
    font-size: 12px;
    border-top: none;
    border-left: none;
    border-right: none;
    border-bottom: solid 1px black;
    padding-left: 0;
    padding-right: 0;
}

/* DEFINIMOS CÍRCULO PARA IMAGEN DE PERFIL CON FOTO */

.circle-avatar, .square-avatar {
    width: 85px;
    height: 85px;
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: center;
    margin-right: 20px;
	border: 1px solid #c0c0c0;
    float: left;
}

.circle-avatar {
    border-radius: 50%;
    -moz-border-radius: 50%;
    -webkit-border-radius: 50%;
    background-image: url('../img/fotoperfil.png');
}

.square-avatar {
    border-radius: 10%;
    background-image: url('../img/fotoperfil.png');
}

/* DEFINIMOS CÍRCULO PARA IMAGEN DE PERFIL CON INICIALES */

.circle-iniciales-avatar {
    width: 85px;
    height: 85px;
    color: #fff;
    background-color: lightgrey;
    text-align: center;
    font-size: 25px;
    line-height: 85px;
    border-radius: 50%;
    -moz-border-radius: 50%;
    -webkit-border-radius: 50%;
    margin-right: 20px;
    float: left;
}

/* DEFINIMOS BOTÓN FLOTANTE PARA ELIMINAR IMAGENES */

.x-btn-cerrar {
    margin-left: -5px;
    top: -5px;
}

.btn-cerrar {
    width: 15px;
    height: 15px;
    border-radius: 100px;
    font-size: 10px;
    position: absolute;
    z-index: 1000;
    color: white;
    margin-left: -1px;
    padding: 12px;
}

.btn-cerrar:hover {
    color: white;
}

.btn-cerrar:active {
    color: white;
}

.btn-cerrar:visited {
    color: white;
}

/* DEFINIMOS ESTILOS PARA EL HOVER DE DESCARGAR IMAGEN */

.descargar-foto {
    width: 85px;
    height: 85px;
    position: absolute;
}

.descargar-foto:hover {
    background-color: black;
    opacity: 0.4;
}

.descargar-foto:hover span {
    position: relative;
    font-size: 25px;
    color: white;
    left: 30px;
    top: 30px;
}

.desc-circle {
    border-radius: 100%;
}

.desc-square {
    border-radius: 10%;
}
/* CUADRO DE EJEMPLO DE CODIGO HTML Y BOTON DE COPIAR */

.cuadro-codigo {
    overflow: auto;
    border: 1px solid #eeeeee;
    border-radius: 10px;
    padding-top: 30px;
    margin-bottom: 20px;
    background-color: #f7f9fa !important;
}

.cuadro-codigo-stick{
    overflow: auto;
    border: 1px solid #eeeeee;
    border-radius: 0 0 10px 10px;
    padding-top: 30px;
    margin-bottom: 20px;
    background-color: #f7f9fa !important;
}

/*  START BOTON IMPORTAR  */
.btn-importar-archivo {
    color: #fff;
    background-color: #2a77a2;
    font-family: Roboto, arial, sans-serif !important;
    letter-spacing: normal !important;
}

.btn-importar-archivo:hover {
    color: #fff;
    background-color: #1b5474;
}
/*  END BOTON IMPORTAR  */

/*  START MODIFICACIÓN TEXTBOX SUBIR ARCHIVO */
.input-grande input[type='text']{
    height: 48px !important;
}

.input-grande .btn-importar-archivo {
    padding-top: 12px !important;
    height: 48px !important;
}
/*  END MODIFICACIÓN TEXTBOX SUBIR ARCHIVO */

/*  START NO Resize para los text-area */
.textarea-noresize {
    resize: none;
}
/*  END NO Resize para los text-area */

/*  START PUNTERO MANO  */
.puntero-mano:hover{
    cursor: pointer;
}
/*  END PUNTERO MANO  */

/*  START BOTON CERRAR  */
.estilo-close{
    cursor: pointer;
}
/*  END BOTON CERRAR    */

/*  START CONTENEDOR DE PDF */
.porta-pdf {
    height: 500px;
    border: 1px solid #ccc;
    padding: 0;
}

.porta-pdf object {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
}

/*  END CONTENEDOR DE PDF */

/*  START CLASES PARA EL LOADING DE PRECARGA */

.precarga {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #fff;
    z-index: 1000;
    text-align: center
}

.sk-cube-grid {
    width: 50px;
    height: 50px;
    margin: 0 auto;
}

.sk-cube-small {
    width: 15px;
    height: 15px;
}

.sk-cube-grid .sk-cube {
    width: 33%;
    height: 33%;
    background-color: #2a77a2;
    float: left;
    -webkit-animation: sk-cubeGridScaleDelay 1.3s infinite ease-in-out;
    animation: sk-cubeGridScaleDelay 1.3s infinite ease-in-out;
}
.sk-cube-grid .sk-cube1 {
    -webkit-animation-delay: 0.2s;
    animation-delay: 0.2s; }
.sk-cube-grid .sk-cube2 {
    -webkit-animation-delay: 0.3s;
    animation-delay: 0.3s; }
.sk-cube-grid .sk-cube3 {
    -webkit-animation-delay: 0.4s;
    animation-delay: 0.4s; }
.sk-cube-grid .sk-cube4 {
    -webkit-animation-delay: 0.1s;
    animation-delay: 0.1s; }
.sk-cube-grid .sk-cube5 {
    -webkit-animation-delay: 0.2s;
    animation-delay: 0.2s; }
.sk-cube-grid .sk-cube6 {
    -webkit-animation-delay: 0.3s;
    animation-delay: 0.3s; }
.sk-cube-grid .sk-cube7 {
    -webkit-animation-delay: 0s;
    animation-delay: 0s; }
.sk-cube-grid .sk-cube8 {
    -webkit-animation-delay: 0.1s;
    animation-delay: 0.1s; }
.sk-cube-grid .sk-cube9 {
    -webkit-animation-delay: 0.2s;
    animation-delay: 0.2s; }

@-webkit-keyframes sk-cubeGridScaleDelay {
    0%, 70%, 100% {
        -webkit-transform: scale3D(1, 1, 1);
        transform: scale3D(1, 1, 1);
    } 35% {
          -webkit-transform: scale3D(0, 0, 1);
          transform: scale3D(0, 0, 1);
      }
}

@keyframes sk-cubeGridScaleDelay {
    0%, 70%, 100% {
        -webkit-transform: scale3D(1, 1, 1);
        transform: scale3D(1, 1, 1);
    } 35% {
          -webkit-transform: scale3D(0, 0, 1);
          transform: scale3D(0, 0, 1);
      }
}

/*  END CLASES PARA EL LOADING DE PRECARGA */

/*  START NO PERMITIR SELECCION DE UN ELEMENTO */

.no-seleccion{
    -webkit-user-select: none !important;
    -moz-user-select: none !important;
    -khtml-user-select: none !important;
    -ms-user-select:none !important;
}

/*  END NO PERMITIR SELECCION DE UN ELEMENTO */

/*  START CLASES PARA BOTONES */
.btn-guardar{
    background-color: transparent;
    width: 40px;
    height: 40px;
    font-size: 1em;
    color: #2a77a2;
    border-radius: 40px;
    border: 1px solid transparent;
}

.btn-guardar:hover{
    border: 1px solid #1b5474;
    color: #1b5474;
}

.btn-eliminar{
    width: 40px;
    height: 40px;
    font-size: 1em;
    border-radius: 40px;
    border: 1px solid transparent;
    background-color: transparent;
}

.btn-eliminar:hover{
    border: 1px solid #a94442;
}

a.btn-eliminar span{
    padding-top: 4px;
}

/*  END CLASES PARA BOTONES */

/*  START CLASES PARA QUITAR RECUADRO ENLACES ACTIVOS */
a:active, a:active * {
    outline: none !important;
    -moz-outline-style: none !important;
}
a:focus, a:focus * {
    outline: none !important;
    -moz-outline-style: none !important;
}
/*  END CLASES PARA QUITAR RECUADRO ENLACES ACTIVOS */


/* DEFINIMOS BOTÓN PARA GENERAR E IMPRIMIR INFORMES */

.boton-circle-informe {
    text-align: center;
    width: 35px;
    height: 35px;
    border-radius: 100px;
    font-size: 15px;
    border: 1px solid #c2c2c2;
    padding-top: 5px;
    display: block;
    background-color: #e2dfdf;
    margin-left: 10px;
}

/* START ESTILOS DE BOTONES PARA DESCARGAR E IMPRIMIR INFORMES */

.btn-imprimir {
    background-color: #2a77a2 !important;
    border: 1px solid #2a77a2 !important;
    color: #ffffff; /* Sólo para proyecto trigo */
}

.btn-pdf {
    background-color: #c32626;
    border: 1px solid #c32626;
    color: #ffffff;
    outline: none;
}

.btn-xls {
    background-color: #3c7f20 !important;
    border: 1px solid #3c7f20 !important;
    color: #ffffff;
    outline: none;
}

.btn-csv {
    background-color: #833c1a;
    border: 1px solid #833c1a;
    color: #ffffff;
    outline: none;
}

.btn-grafico {
    background-color: #ae6a00;
    border: 1px solid #9d6101;
    color: #ffffff;
    outline: none;
}

/* END ESTILOS DE BOTONES PARA DESCARGAR E IMPRIMIR INFORMES */

/* START ESTILOS PARA ERRORES DE PÁGINA */
.error h1{
    color: #2a77a2;
}
.error h2, .error h3, .error p{
    color: #1b5474;
}

.error p.ico{
    color: #2a77a2;
    font-size: 6em;
}

/* END ESTILOS PARA ERRORES DE PÁGINA */

/*  START POSITION RELATIVE */
.relative {
    position: relative;
}

/*  START NO IMPRIMMIR */

.imprimir {
    display: none;
}

/*  END NO IMPRIMIR */

/*  START QUITAR LOS ESTILOS DE LOS ENLACES */
.sin-estilo, .sin-estilo:hover, .sin-estilo:visited, .sin-estilo:active, .sin-estilo:focus {
    color: inherit;
    text-decoration: inherit;
}
/*  END QUITAR LOS ESTILOS DE LOS ENLACES */

/*  START FORMATO DE FILA CUANDO SE PASA POR ENCIMA */
.fila:hover {
    cursor: pointer;
}

/*  END FORMATO DE FILA CUANDO SE PASA POR ENCIMA */

/*  START COLOR COLUMNA ORDENACIÓN */
.color-col-ordenacion {
    color: #003f7a;
}
/*  END COLOR COLUMNA ORDENACIÓN */

/*  START TÍTULO LISTAS */
.titulo-lista {
    font-size: 24px;
}
.subtitulo-lista {
    font-size: 20px;
    color: #7e7e7e;
    opacity: 0.8;

}
/*  END TÍTULO LISTAS */

/*  START TABLA DESPLEGABLE */
.tabla-items-hijos > tbody > tr > td {
    border: none;
}

/*  END TABLA DESPLEGABLE */

/*  START MODAL TIPO ALTA  */
.modal-header-alta {
    min-height: 16.42857143px;
    padding: 15px;
    border-bottom: 1px solid #e5e5e5;
    color: #ffffff;
    background-color: #2a77a2;
}

.close-white-alta {
    float: right;
    font-size: 1.5em;
    font-weight: bold;
    line-height: 1;
    color: #fff;
    cursor: pointer;
    background-color: #2a77a2;
}
/*  END MODAL TIPO ALTA  */

/*  START MENÚ  */
.menu {
    position: relative;
    text-align: center;
    margin-top: 20vh;
}

.opcion-menu {
    height: 250px;
    width: 250px;
    border: solid 1px #e5e5e5;
    text-align: center;
    position: relative;
    display: inline-block;
}

.opcion-menu>a {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    height: 100%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    color: #c0c0c0;
    padding-top: 50px;
    text-decoration: none;
}

.opcion-menu>a>span {
    color: #2a77a2;
    font-size: 80px;
}

.opcion-menu:hover {
    color: white;
    background-color: #2a77a2;
}

.opcion-menu:hover span {
    color: white;
}
/*  END MENÚ  */

/*  START BOTONES DE LAS LISTAS */
.btn-lista{
    height: 35px;
}

.separador-btn-lista{
    display: block;
    float: left;
    border-left: 1px solid #cccccc;
    height: 25px;
    padding-right: 15px;
    margin-top: 2px;
}

.separador-filtros {
    margin-top: 2px;
}

.estilo-btn-lista{
    margin-top: -1px;
    margin-left: 5px;
    margin-right: 5px;
    text-align: center;
    border-radius: 50%;
    background-color: #e5e5e5;
    font-size: 0.85em;
    position: relative;
    color: #5f5f5f;
    width: 32px;
    height: 32px;
    padding-top: 7px;
    display: inline-block;
    padding-left: 10px;
}

.estilo-btn-lista:hover{
    color: #5f5f5f;
    background-color: #c0c0c0
}
.estilo-btn-lista:active{
    color: #5f5f5f;
}
.estilo-btn-lista:visited{
    color: #5f5f5f;
}
.estilo-btn-lista:focus{
    color: #5f5f5f;
}
/*  END BOTONES DE LAS LISTAS */

/* START DOS CONTROLES DE FORMULARIOS INLINE */
.inline-control{
    width: 49%;
}
.inline-control + .inline-control{
    float: right;
}
.inline-control input{
    width: 100% !important;
}

.inline-control select{
    width: 100% !important;
}

/* END DOS CONTROLES DE FORMULARIOS INLINE */

/* ARREGLAMOS EL RESPONSIVE DEL INPUT FORM INLINE */
@media screen and (max-width: 800px) {

    .responsive-campos {
        width: 100% !important;
    }

    .margin-bottom-responsive {
        margin-bottom: 15px !important;
    }

    .responsive-input {
        width: 100% !important;
    }

    .width-100 {
        width: 100% !important;
    }
}

/* SLIDER CHECKBOX */

.switch {
    position: relative;
    display: inline-block;
    vertical-align: middle;
    margin-left: 5px;
    width: 40px;
    height: 25px;
}
.switch input {display:none;}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
    border-radius: 34px;
}

.slider:before {
    position: absolute;
    content: "";
    height: 18px;
    width: 18px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
    border-radius: 50%;
}

input:checked + .slider {
    background-color: #2a77a2;
}
input:focus + .slider {
    box-shadow: 0 0 1px #2a77a2;
}
input:checked + .slider:before {
    -webkit-transform: translateX(14px);
    -ms-transform: translateX(14px);
    transform: translateX(14px);
}

/*  DESACTIVAR PESTANYAS */
.tab-disabled {
    color: lightgray !important;
    cursor: not-allowed;
}


/*  AJUSTAMOS PROBLEMAS CON LA NAVBAR */

button.navbar-toggle {
    padding-top: 10px!important;
    padding-right: 10px !important;
    margin: 10px !important;
}

button.navbar-toggle.collapsed {
    padding-top: 10px!important;
    padding-right: 10px !important;
    margin: 10px !important;
}

@media screen and (max-width: 768px) {

    a.active-menu-drop {
        color: transparent;
        border-style: none;
        font-weight: bolder;
        margin-bottom: 5px !important;
    }

    .navbar-nav{
        padding-left: 40px !important;
    }

    a.padding_responsive{
        padding-left: 0 !important;
        margin-left: 0 !important;
    }

    .navbar-nav .open .dropdown-menu>li>a {
        margin-top: -5px !important;
        padding-left: 40px !important;
    }

    .padding_responsive {
        padding-left: 18px !important;
    }

}

a.normal-menu-drop {
    padding-bottom: 20px !important;
}

/*  START TAMAÑO LOGO NAVBAR */
.navbar img{
    height: 60px;
}
/*  END TAMAÑO LOGO NAVBAR */

/*  START TAMAÑO LOGIN */
.logo-login{
    width: 300px;
}
.texto-login {
    font-size: 18px;
    font-weight: 400;
}
/*  END TAMAÑO LOGIN */

.no-mostrar {
    display: none;
}

/*  ARREGLO DEL BUG DE SELECCIONAR IMAGEN EN FIREFOX */
@-moz-document url-prefix() {
    .btn-cerrar, .descargar-foto {
        left: 15px;
    }

    /*  ARREGLO DEL BUG DEL MARGEN DE LOS BOTONES DE LAS LISTAS  */
    .form-busqueda {
        margin-bottom: 40px;
    }
}

/*  OCULTAR FLECHAS DEL INPUT TYPE NUMBER */
input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}
input[type="number"] {
    -moz-appearance: textfield;
}

/* START CLOSE TRANSPARENT */
.close-transparent {
    background-color: transparent !important;
}
/* END CLOSE TRANSPARENT */

/*  START PUNTERO PAGINACION */
.pagination>li>a:hover {
    cursor: pointer;
}
/*  END PUNTERO PAGINACION */

/*  START MODIFICACION BREADCRUMBS BOOTSTRAP */
.breadcrumb {
    color: #2a77a2;
    padding-left: 0;
    background-color: transparent;
}

.breadcrumb a{
    color: #2a77a2;
}

.breadcrumb a:hover{
    text-decoration: none;
    border-bottom: 1px solid #2a77a2;
}

.btn-link {
    color: #2a77a2;
}
.btn-link:hover{
    text-decoration: none;
}
/*  END MODIFICACION BREADCRUMBS*/

/* START MODIFICACIONES BOTONES */
.form-control, .btn-login {
    border-radius: 0 !important;
}
/* END MODIFICACIONES BOTONES */

/*  START OVERFLOW AUTO */
.overflow-auto {
    overflow: auto !important;
}
/*  END OVERFLOW AUTO */

/*  START OBLIGAR SALTO DE LINEA EN TOOLTIP */
/*  donde se necesite un salto de linea colocar el código &#10; */
.tooltip-inner {
    white-space: pre-wrap;
}
/*  END OBLIGAR SALTO DE LINEA EN TOOLTIP */